using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using StudentModels;

namespace StudentDAL.EntityConfigurations
{
    public class SubjectConfiguration : EntityTypeConfiguration<Subject>
    {
        public SubjectConfiguration()
        {
            HasRequired(a => a.Teacher).WithMany(b => b.Subjects).WillCascadeOnDelete(false);
            HasRequired(a => a.GradeSystem).WithMany(b => b.Subjects).WillCascadeOnDelete(false);
        }
    }
}
